org.apache.sysds.runtime.functionobjects

## Class SortIndex

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.IndexFunction
    - - org.apache.sysds.runtime.functionobjects.SortIndex

- All Implemented Interfaces:
    Serializable

      public class SortIndex
      extends IndexFunction

  This index function is NOT used for actual sorting but just as a reference in ReorgOperator in order to identify sort operations.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortIndex(int[] cols, boolean decreasing, boolean indexreturn)`
    `SortIndex(int col, boolean decreasing, boolean indexreturn)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `computeDimension(DataCharacteristics in, DataCharacteristics out)`
    `boolean` | `computeDimension(int row, int col, MatrixValue.CellIndex retDim)`
    `void` | `execute(MatrixIndexes in, MatrixIndexes out)`
    `void` | `execute(MatrixValue.CellIndex in, MatrixValue.CellIndex out)`
    `int[]` | `getCols()`
    `boolean` | `getDecreasing()`
    `boolean` | `getIndexReturn()`

    - ### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

      `clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortIndex

          public SortIndex(int col,
                           boolean decreasing,
                           boolean indexreturn)

    - #### SortIndex

          public SortIndex(int[] cols,
                           boolean decreasing,
                           boolean indexreturn)

  - ### Method Detail

    - #### getCols

          public int[] getCols()

    - #### getDecreasing

          public boolean getDecreasing()

    - #### getIndexReturn

          public boolean getIndexReturn()

    - #### computeDimension

          public boolean computeDimension(int row,
                                          int col,
                                          MatrixValue.CellIndex retDim)

      Specified by:
        `computeDimension` in class `IndexFunction`

    - #### execute

          public void execute(MatrixIndexes in,
                              MatrixIndexes out)

      Specified by:
        `execute` in class `IndexFunction`

    - #### execute

          public void execute(MatrixValue.CellIndex in,
                              MatrixValue.CellIndex out)

      Specified by:
        `execute` in class `IndexFunction`

    - #### computeDimension

          public boolean computeDimension(DataCharacteristics in,
                                          DataCharacteristics out)

      Specified by:
        `computeDimension` in class `IndexFunction`

Copyright © 2021 The Apache Software Foundation. All rights reserved.